$title	Read IEO2006 worksheets into a GDX file

$call 'gams reada gdx=reada.gdx'
$call 'gams readb gdx=readb.gdx'
$call 'gams readc gdx=readc.gdx'
$call 'gams readd gdx=readd.gdx'
$call 'gams reade gdx=reade.gdx'
$call 'gams readf gdx=readf.gdx'
$call 'gams readg gdx=readg.gdx'
$call 'gams readh gdx=readh.gdx'

alias (scn,s,r,en,yr,*);

parameter	a(*,r,yr)	Reference Growth Path,
		b(*,r,yr)	High economic growth path,
		c(*,r,yr)	Low Economic Growth Path,
		d(*,r,yr)	High Oil Price Path
		e(*,r,yr)	Low oil price path,
		f(r,s,en,yr)	Sectoral demand projections,
		g(scn,r,*,yr)	World oil market statistics,
		h(*,r,yr)	Electricity capacity and generation statistics;

$gdxin 'reada.gdx' 
$load a
$gdxin 'readb.gdx' 
$load b
$gdxin 'readc.gdx' 
$load c
$gdxin 'readd.gdx' 
$load d
$gdxin 'reade.gdx' 
$load e
$gdxin 'readf.gdx' 
$load f
$gdxin 'readg.gdx' 
$load g
$gdxin 'readh.gdx' 
$load h

execute_unload 'ieo2007.gdx',a,b,c,d,e,f,g,h;
