set   r_gtap6   GTAP6 regions /
AUS		"Australia			AUS	AUSN"
NZL		"New Zealand			NZL	AUSN"
XOC		"Rest of Oceania"
*			American Samoa		ASM
*			Cook Islands		COK	
*			Fiji			FJI	NOAO
*			French Polynesia	PYF	NOAO
*			Guam			GUM	NOAO
*			Kiribati		KIR	NOAO
*			Marshall Islands	MHL	
*			Micronesia, Fed States	FSM	
*			Nauru			NRU	NOAO
*			New Caledonia		NCL	NOAO
*			Norfolk Island		NFK	
*			Northern Mariana Isl	MNP	
*			Niue			NIU	NOAO
*			Palau			PLW	
*			Papua New Guinea	PNG	NOAO
*			Samoa			WSM	NOAO
*			Solomon Islands		SLB	NOAO
*			Tokelau			TKL	
*			Tonga			TON	NOAO
*			Tuvalu			TUV	
*			Vanuatu			VUT	NOAO
*			Wallis and Futuna	WLF	
CHN		"China				CHN	CHN"
HKG		"Hong Kong			HKG	CHN"
JPN		"Japan				JPN	JPN"
KOR		"Korea				KOR	KOR"
TWN		"Taiwan				TWN	CHN"
XEA		"Rest of East Asia"
*			Macau			MAC	NOAO
*			Mongolia		MNG	NOAO
*			Korea, Democratic Rep	PRK	NOAO
IDN		"Indonesia			IDN	NOAO"
MYS		"Malaysia			MYS	NOAO"
PHL		"Philippines			PHL	NOAO"
SGP		"Singapore			SGP	NOAO"
THA		"Thailand			THA	NOAO"
VNM		"Viet Nam			VNM	NOAO"
XSE		"Rest of Southeast Asia"
*			Brunei			BRN	NOAO
*			Cambodia		KHM	NOAO
*			Lao Peoples Dem Rep	LAO	NOAO
*			Myanmar			MMR	NOAO
*			Timor Leste		TLS	
BGD		"Bangladesh			BGD	NOAO"
IND		"India				IND	IND"
LKA		"Sri Lanka			LKA	NOAO"
XSA		"Rest of South Asia"
*			Afghanistan		AFG	NOAO"
*			Bhutan			BTN	NOAO
*			Maldives		MDV	NOAO
*			Nepal			NPL	NOAO
*			Pakistan		PAK	NOAO
CAN		"Canada				CAN	CAN"
USA		"United States of America	USA	USA"
MEX		"Mexico				MEX	MEX"
XNA		"Rest of North America"
*			Bermuda				BMU	
*			Greenland			GRL	
*			Saint Pierre and Miquelon	SPM	
COL		"Colombia			COL	CSAO"
PER		"Peru				PER	CASO"
VEN		"Venezuela			VEN	CASO"
XAP		"Rest of Andean Pact"	
*			Bolivia			BOL	CSAO"
*			Ecuador			ECU	CSAO
ARG		"Argentina			ARG	CSAO"
BRA		"Brazil				BRA	BRA"
CHL		"Chile				CHL	CSAO"
URY		"Uruguay			URY	CASO"
XSM		"Rest of South America"
*			Falkland Islands 	FLK	CSAO"
*			French Guiana		GUF	CSAO
*			Guyana			GUY	CSAO
*			Paraguay		PRY	CASO
*			Suriname		SUR	CASO
XCA		"Central America"	
*			Belize			BLZ	CSAO"
*			Costa Rica		CRI	CSAO
*			El Salvador		SLV	CSAO
*			Guatemala		GTM	CSAO
*			Honduras		HND	CSAO
*			Nicaragua		NIC	CASO
*			Panama			PAN	CASO
XFA		"Rest of Free Trade Area of the Americas"
*			Antigua & Barbuda	ATG	CSAO"
*			Bahamas			BHS	CSAO
*			Barbados		BRB	CSAO
*			Dominica		DMA	CSAO
*			Dominican Republic	DOM	CSAO
*			Grenada			GRD	CSAO
*			Haiti			HTI	CSAO
*			Jamaica			JAM	CASO
*			Puerto Rico		PRI	CASO
*			Saint Kitts and Nevis	KNA	CASO
*			Saint Lucia		LCA	CASO
*			St Vincent & Grenadines	VCT	CASO
*			Trinidad and Tobago	TTO	CASO
*			Virgin Islands, U.S.	VIR	CASO
XCB		"Rest of the Caribbean"	
*			Anguilla		AIA
*			Aruba			ABW	CSAO
*			Cayman Islands		CYM	CSAO
*			Cuba			CUB	CSAO
*			Guadeloupe		GLP	CSAO
*			Martinique		MTQ	CASO
*			Montserrat		MSR	CASO
*			Netherlands Antilles	ANT	CASO
*			Turks and Caicos	TCA	CASO
*			Virgin Islands, British VGB	CASO
AUT		"Austria			AUT	OEUR"
BEL		"Belgium			BEL	OEUR"
DNK		"Denmark			DNK	OEUR"
FIN		"Finland			FIN	OEUR"
FRA		"France				FRA	OEUR"
DEU		"Germany			DEU	OEUR"
GBR		"United Kingdom			GBR	OEUR"
GRC		"Greece				GRC	OEUR"
IRL		"Ireland			IRL	OEUR"
ITA		"Italy				ITA	OEUR"
LUX		"Luxembourg			LUX	OEUR"
NLD		"Netherlands			NLD	OEUR"
PRT		"Portugal			PRT	OEUR"
ESP		"Spain				ESP	OEUR"
SWE		"Sweden				SWE	OEUR"
CHE		"Switzerland			CHE	OEUR"
XEF		"Rest of EFTA"	
*			Iceland			ISL	OEUR"
*			Liechtenstein		LIE	
*			Norway			NOR	OEUR
XER		"Rest of Europe	Andorra	AND"
*			Bosnia and Herzegovina	BIH	NOOT
*			Faroe Islands		FRO	
*			Gibraltar		GIB	
*			Macedonia		MKD	NOOT
*			Monaco			MCO	
*			San Marino		SMR	
*			Serbia and Montenegro	SCG	NOOT
ALB		"Albania			ALB	NOOT"
BGR		"Bulgaria			BGR	NOOT"
HRV		"Croatia			HRV	NOOT"
CYP		"Cyprus				CYP	MEST"
CZE		"Czech Republic			CZE	OEUR"
HUN		"Hungary			HUN	OEUR"
MLT		"Malta				MLT	NOOT"
POL		"Poland				POL	OEUR"
ROM		"Romania			ROM	NOOT"
SVK		"Slovakia			SVK	OEUR"
SVN		"Slovenia			SVN	NOOT"
EST		"Estonia			EST	NOOT"
LVA		"Latvia				LVA	NOOT"
LTU		"Lithuania			LTU	NOOT"
RUS		"Russian Federation		RUS	RUS"
XSU		"Rest of Former Soviet Union"
*			Armenia			ARM	NOOT"
*			Azerbaijan		AZE	NOOT
*			Belarus			BLR	NOOT
*			Georgia			GEO	
*			Kazakhstan		KAZ	NOOT
*			Kyrgyzstan		KGZ	NOOT
*			Moldova, Republic of	MDA	NOOT
*			Tajikistan		TJK	NOOT
*			Turkmenistan		TKM	NOOT
*			Ukraine			UKR	NOOT
*			Uzbekistan		UZB	NOOT
TUR		"Turkey				TUR	OEUR"
XME		"Rest of Middle East"		
*			Bahrain			BHR	MEST"
*			Iran			IRN	MEST
*			Iraq			IRQ	MEST
*			Israel			ISR	MEST
*			Jordan			JOR	MEST
*			Kuwait			KWT	MEST
*			Lebanon			LBN	MEST
*			Palestinian Terr Occ	PSE	
*			Oman			OMN	MEST
*			Qatar			QAT	MEST
*			Saudi Arabia		SAU	MEST
*			Syrian Arab Republic	SYR	MEST
*			United Arab Emirates	ARE	MEST
*			Yemen			YEM	MEST
MAR		"Morocco			MAR	AFR"
TUN		"Tunisia			TUN	AFR"
XNF		"Rest of North Africa"
*			Algeria			DZA	AFR
*			Egypt			EGY	AFR
*			Libyan Arab Jamahiriya	LBY	AFR
BWA		"Botswana			BWA	AFR"
ZAF		"South Africa	South Africa	ZAF	AFR"
XSC		"Rest of South African Customs Union"
*			Lesotho			LSO	AFR
*			Namibia			NAM	AFR
*			Swaziland		SWZ	AFR
MWI		"Malawi				MWI	AFR"
MOZ		"Mozambique			MOZ	AFR"
TZA		"Tanzania			TZA	AFR"
ZMB		"Zambia				ZMB	AFR"
ZWE		"Zimbabwe			ZWE	AFR"
XSD		"Rest of Southern African Development Community"
*			Angola			AGO	AFR
*			Congo, the Dem Rep	COD	AFR
*			Mauritius		MUS	
*			Seychelles		SYC	AFR
MDG		"Madagascar"
UGA		"Uganda				UGD	AFR"
XSS		"Rest of Sub-Saharan Africa"
*			Benin			BEN	AFR"
*			Burkina Faso		BFA	AFR
*			Burundi			BDI	AFR
*			Cameroon		CMR	AFR
*			Cape Verde		CPV	AFR
*			Central African Rep	AF	AFR
*			Chad			TCD	AFR
*			Comoros			COM	AFR
*			Congo			COG	AFR
*			Cote d'Ivoire		CIV	
*			Djibouti		DJI	AFR
*			Equatorial Guinea	GNQ	AFR
*			Eritrea			ERI	AFR
*			Ethiopia		ETH	AFR
*			Gabon			GAB	AFR
*			Gambia			GMB	AFR
*			Ghana			GHA	AFR
*			Guinea			GIN	AFR
*			Guinea-Bissau		GNB	AFR
*			Kenya			KEN	AFR
*			Liberia			LBR	AFR
*			Mali			MLI	AFR
*			Mauritania		MRT	AFR
*			Mayotte			MYT	
*			Niger			NER	AFR
*			Nigeria			NGA	AFR
*			Reunion			REU	AFR
*			Rwanda			RWA	AFR
*			Saint Helena		SHN	
*			Sao Tome and Principe	STP	AFR
*			Senegal			SEN	AFR
*			Sierra Leone		SLE	AFR
*			Somalia			SOM	AFR
*			Sudan			SDN	AFR
*			Togo			TGO	AFR
/,

	r_eieo	IEO 2006 regions /
		ONAM	"OECD North America USA+CAN+MEX"			
		USA	"United States"			
		CAN	"Canada"				
		MEX	"Mexico"				
		OEUR	"OECD Europe"				
		OASA	"OECD Asia JPN+KOR+AUSNZ"				
		JPN	"Japan"					
		KOR	"South Korea"				
		AUSN	"Australia/New Zealand"			
		OTTL	"Total OECD"				
		NOEA	"Non-OECD Europe and Eurasia RUS+Other"		
		RUS	"Russia"				
		NOOT	"Other"					
		NOAS	"Non-OECD Asia CHN+IND+other Non-OECD Asia"				
		CHN	"China"					
		IND	"India"					
		NOAO	"Other Non-OECD Asia"			
		MEST	"Middle East"				
		AFR	"Africa"				
		CSAM	"Central and South America BRA+Other central and south america"		
		BRA	"Brazil"				
		CSAO	"Other Central and South America"	
		NOTL	"Total Non-OECD"			
		WTTL	"Total World"				
/,

	r_oieo	IEO region with crude oil production /
		OPEC	"OPEC"
		OPAS	"Asia"
		OPME	"Middle East"
		OPNA	"North Africa"
		OPWA	"West Africa"
		OSAM	"South America"
		NOPEC	"Non-OPEC"
		OECD    "OECD"
		ONAM    "OECD North America"
		USA     "United States"
		CAN     "Canada"
		MEX     "Mexico"
		OEUR    "OECD Europe"
		OASA    "OECD Asia"
		JPN     "Japan"
		KOR     "South Korea"
		AUSN    "Australia and New Zealand"
		NOEC    "Non-OECD"
		NOEA    "Non-OECD Europe and Eurasia"
		RUS     "Russia"
		CAS     "Caspian Area"
		NOOT    "Other"
		NOAS    "Non-OECD Asia"
		CHN     "China"
		IND     "India"
		NOAO    "Other"
		NOME    "Middle East"
		AFR     "Africa"
		CSAM    "Central and South America"
		BRA     "Brazil"
		CSAO    "Other" 
/;

set rmap_e(r_gtap6,r_eieo)	Mapping between GTAP6 and IEO06 regions for energy and carbon /
AUS.AUSN	"Australia			AUS	AUSN"
NZL.AUSN	"New Zealand			NZL	AUSN"
XOC.NOAO	"Rest of Oceania"
*			American Samoa		ASM
*			Cook Islands		COK	
*			Fiji			FJI	NOAO
*			French Polynesia	PYF	NOAO
*			Guam			GUM	NOAO
*			Kiribati		KIR	NOAO
*			Marshall Islands	MHL	
*			Micronesia, Fed States	FSM	
*			Nauru			NRU	NOAO
*			New Caledonia		NCL	NOAO
*			Norfolk Island		NFK	
*			Northern Mariana Isl	MNP	
*			Niue			NIU	NOAO
*			Palau			PLW	
*			Papua New Guinea	PNG	NOAO
*			Samoa			WSM	NOAO
*			Solomon Islands		SLB	NOAO
*			Tokelau			TKL	
*			Tonga			TON	NOAO
*			Tuvalu			TUV	
*			Vanuatu			VUT	NOAO
*			Wallis and Futuna	WLF	
CHN.CHN		"China				CHN	CHN"
HKG.CHN		"Hong Kong			HKG	CHN"
JPN.JPN		"Japan				JPN	JPN"
KOR.JPN		"Korea				KOR	KOR"
TWN.CHN		"Taiwan				TWN	CHN"
XEA.NOAO	"Rest of East Asia"
*			Macau			MAC	NOAO
*			Mongolia		MNG	NOAO
*			Korea, Democratic Rep	PRK	NOAO
IDN.NOAO	"Indonesia			IDN	NOAO"
MYS.NOAO	"Malaysia			MYS	NOAO"
PHL.NOAO	"Philippines			PHL	NOAO"
SGP.NOAO	"Singapore			SGP	NOAO"
THA.NOAO	"Thailand			THA	NOAO"
VNM.NOAO	"Viet Nam			VNM	NOAO"
XSE.NOAO	"Rest of Southeast Asia"
*			Brunei			BRN	NOAO
*			Cambodia		KHM	NOAO
*			Lao Peoples Dem Rep	LAO	NOAO
*			Myanmar			MMR	NOAO
*			Timor Leste		TLS	
BGD.NOAO	"Bangladesh			BGD	NOAO"
IND.IND		"India				IND	IND"
LKA.NOAO	"Sri Lanka			LKA	NOAO"
XSA.NOAO	"Rest of South Asia"
*			Afghanistan		AFG	NOAO"
*			Bhutan			BTN	NOAO
*			Maldives		MDV	NOAO
*			Nepal			NPL	NOAO
*			Pakistan		PAK	NOAO
CAN.CAN		"Canada				CAN	CAN"
USA.USA		"United States of America	USA	USA"
MEX.MEX		"Mexico				MEX	MEX"
XNA.CSAO	"Rest of North America"
*			Bermuda				BMU	
*			Greenland			GRL	
*			Saint Pierre and Miquelon	SPM	
COL.CSAO	"Colombia			COL	CSAO"
PER.CSAO	"Peru				PER	CASO"
VEN.CSAO	"Venezuela			VEN	CASO"
XAP.CSAO	"Rest of Andean Pact"	
*		   	Bolivia			BOL	CSAO"
*			Ecuador			ECU	CSAO
ARG.CSAO	"Argentina			ARG	CSAO"
BRA.BRA		"Brazil				BRA	BRA"
CHL.CSAO	"Chile				CHL	CSAO"
URY.CSAO	"Uruguay			URY	CSAO"
XSM.CSAO	"Rest of South America"
*			Falkland Islands 	FLK	CSAO"
*			French Guiana		GUF	CSAO
*			Guyana			GUY	CSAO
*			Paraguay		PRY	CSAO
*			Suriname		SUR	CSAO
XCA.CSAO	"Central America"	
*			Belize			BLZ	CSAO
*			Costa Rica		CRI	CSAO
*			El Salvador		SLV	CSAO
*			Guatemala		GTM	CSAO
*			Honduras		HND	CSAO
*			Nicaragua		NIC	CSAO
*			Panama			PAN	CSAO
XFA.CSAO	"Rest of Free Trade Area of the Americas"
*			Antigua & Barbuda	ATG	CSAO
*			Bahamas			BHS	CSAO
*			Barbados		BRB	CSAO
*			Dominica		DMA	CSAO
*			Dominican Republic	DOM	CSAO
*			Grenada			GRD	CSAO
*			Haiti			HTI	CSAO
*			Jamaica			JAM	CSAO
*			Puerto Rico		PRI	CSAO
*			Saint Kitts and Nevis	KNA	CSAO
*			Saint Lucia		LCA	CSAO
*			St Vincent & Grenadines	VCT	CSAO
*			Trinidad and Tobago	TTO	CSAO
*			Virgin Islands, U.S.	VIR	CSAO
XCB.CSAO	"Rest of the Caribbean"	
*			Anguilla		AIA
*			Aruba			ABW	CSAO
*			Cayman Islands		CYM	CSAO
*			Cuba			CUB	CSAO
*			Guadeloupe		GLP	CSAO
*			Martinique		MTQ	CSAO
*			Montserrat		MSR	CSAO
*			Netherlands Antilles	ANT	CSAO
*			Turks and Caicos	TCA	CSAO
*			Virgin Islands, British VGB	CSAO
AUT.OEUR	"Austria			AUT	OEUR"
BEL.OEUR	"Belgium			BEL	OEUR"
DNK.OEUR	"Denmark			DNK	OEUR"
FIN.OEUR	"Finland			FIN	OEUR"
FRA.OEUR	"France				FRA	OEUR"
DEU.OEUR	"Germany			DEU	OEUR"
GBR.OEUR	"United Kingdom			GBR	OEUR"
GRC.OEUR	"Greece				GRC	OEUR"
IRL.OEUR	"Ireland			IRL	OEUR"
ITA.OEUR	"Italy				ITA	OEUR"
LUX.OEUR	"Luxembourg			LUX	OEUR"
NLD.OEUR	"Netherlands			NLD	OEUR"
PRT.OEUR	"Portugal			PRT	OEUR"
ESP.OEUR	"Spain				ESP	OEUR"
SWE.OEUR	"Sweden				SWE	OEUR"
CHE.OEUR	"Switzerland			CHE	OEUR"
XEF.OEUR	"Rest of EFTA"	
*			Iceland			ISL	OEUR"
*			Liechtenstein		LIE	
*			Norway			NOR	OEUR
XER.NOOT	"Rest of Europe	Andorra	AND"
*			Bosnia and Herzegovina	BIH	NOOT
*			Faroe Islands		FRO	
*			Gibraltar		GIB	
*			Macedonia		MKD	NOOT
*			Monaco			MCO	
*			San Marino		SMR	
*			Serbia and Montenegro	SCG	NOOT
ALB.NOOT	"Albania			ALB	NOOT"
BGR.NOOT	"Bulgaria			BGR	NOOT"
HRV.NOOT	"Croatia			HRV	NOOT"
CYP.NOAO	"Cyprus				CYP	MEST"
CZE.OEUR	"Czech Republic			CZE	OEUR"
HUN.OEUR	"Hungary			HUN	OEUR"
MLT.NOOT	"Malta				MLT	NOOT"
POL.OEUR	"Poland				POL	OEUR"
ROM.NOOT	"Romania			ROM	NOOT"
SVK.OEUR	"Slovakia			SVK	OEUR"
SVN.NOOT	"Slovenia			SVN	NOOT"
EST.NOOT	"Estonia			EST	NOOT"
LVA.NOOT	"Latvia				LVA	NOOT"
LTU.NOOT	"Lithuania			LTU	NOOT"
RUS.RUS		"Russian Federation		RUS	RUS"
XSU.NOOT	"Rest of Former Soviet Union"
*			Armenia			ARM	NOOT"
*			Azerbaijan		AZE	NOOT
*			Belarus			BLR	NOOT
*			Georgia			GEO	
*			Kazakhstan		KAZ	NOOT
*			Kyrgyzstan		KGZ	NOOT
*			Moldova, Republic of	MDA	NOOT
*			Tajikistan		TJK	NOOT
*			Turkmenistan		TKM	NOOT
*			Ukraine			UKR	NOOT
*			Uzbekistan		UZB	NOOT
TUR.OEUR	"Turkey				TUR	OEUR"
XME.MEST	"Rest of Middle East"		
*			Bahrain			BHR	MEST"
*			Iran			IRN	MEST
*			Iraq			IRQ	MEST
*			Israel			ISR	MEST
*			Jordan			JOR	MEST
*			Kuwait			KWT	MEST
*			Lebanon			LBN	MEST
*			Palestinian Terr Occ	PSE	
*			Oman			OMN	MEST
*			Qatar			QAT	MEST
*			Saudi Arabia		SAU	MEST
*			Syrian Arab Republic	SYR	MEST
*			United Arab Emirates	ARE	MEST
*			Yemen			YEM	MEST
MAR.AFR		"Morocco			MAR	AFR"
TUN.AFR		"Tunisia			TUN	AFR"
XNF.AFR		"Rest of North Africa"
*			Algeria			DZA	AFR
*			Egypt			EGY	AFR
*			Libyan Arab Jamahiriya	LBY	AFR
BWA.AFR		"Botswana			BWA	AFR"
ZAF.AFR		"South Africa	South Africa	ZAF	AFR"
XSC.AFR		"Rest of South African Customs Union"
*			Lesotho			LSO	AFR
*			Namibia			NAM	AFR
*			Swaziland		SWZ	AFR
MWI.AFR		"Malawi	Malawi			MWI	AFR"
MOZ.AFR		"Mozambique			MOZ	AFR"
TZA.AFR		"Tanzania			TZA	AFR"
ZMB.AFR		"Zambia				ZMB	AFR"
ZWE.AFR		"Zimbabwe			ZWE	AFR"
XSD.AFR		"Rest of Southern African Development Community"
*			Angola			AGO	AFR
*			Congo, the Dem Rep	COD	AFR
*			Mauritius		MUS	
*			Seychelles		SYC	AFR
MDG.AFR		"Madagascar"
UGA.AFR		"Uganda"
XSS.AFR		"Rest of Sub-Saharan Africa"
*			Benin			BEN	AFR"
*			Burkina Faso		BFA	AFR
*			Burundi			BDI	AFR
*			Cameroon		CMR	AFR
*			Cape Verde		CPV	AFR
*			Central African Rep	AF	AFR
*			Chad			TCD	AFR
*			Comoros			COM	AFR
*			Congo			COG	AFR
*			Cote d'Ivoire		CIV	
*			Djibouti		DJI	AFR
*			Equatorial Guinea	GNQ	AFR
*			Eritrea			ERI	AFR
*			Ethiopia		ETH	AFR
*			Gabon			GAB	AFR
*			Gambia			GMB	AFR
*			Ghana			GHA	AFR
*			Guinea			GIN	AFR
*			Guinea-Bissau		GNB	AFR
*			Kenya			KEN	AFR
*			Liberia			LBR	AFR
*			Mali			MLI	AFR
*			Mauritania		MRT	AFR
*			Mayotte			MYT	
*			Niger			NER	AFR
*			Nigeria			NGA	AFR
*			Reunion			REU	AFR
*			Rwanda			RWA	AFR
*			Saint Helena		SHN	
*			Sao Tome and Principe	STP	AFR
*			Senegal			SEN	AFR
*			Sierra Leone		SLE	AFR
*			Somalia			SOM	AFR
*			Sudan			SDN	AFR
*			Togo			TGO	AFR
/

set rmap_o(r_gtap6,r_oieo)	Mapping between GTAP6 and IEO crude oil producing regions /
AUS.AUSN	"Australia			AUS	AUSN"
NZL.AUSN	"New Zealand			NZL	AUSN"
XOC.NOAO	"Rest of Oceania"
*			American Samoa		ASM
*			Cook Islands		COK	
*			Fiji			FJI	NOAO
*			French Polynesia	PYF	NOAO
*			Guam			GUM	NOAO
*			Kiribati		KIR	NOAO
*			Marshall Islands	MHL	
*			Micronesia, Fed States	FSM	
*			Nauru			NRU	NOAO
*			New Caledonia		NCL	NOAO
*			Norfolk Island		NFK	
*			Northern Mariana Isl	MNP	
*			Niue			NIU	NOAO
*			Palau			PLW	
*			Papua New Guinea	PNG	NOAO
*			Samoa			WSM	NOAO
*			Solomon Islands		SLB	NOAO
*			Tokelau			TKL	
*			Tonga			TON	NOAO
*			Tuvalu			TUV	
*			Vanuatu			VUT	NOAO
*			Wallis and Futuna	WLF	
CHN.CHN		"China				CHN	CHN"
HKG.CHN		"Hong Kong			HKG	CHN"
JPN.JPN		"Japan				JPN	JPN"
KOR.JPN		"Korea				KOR	KOR"
TWN.CHN		"Taiwan				TWN	CHN"
XEA.NOAO	"Rest of East Asia"
*			Macau			MAC	NOAO
*			Mongolia		MNG	NOAO
*			Korea, Democratic Rep	PRK	NOAO
IDN.OPAS	"Indonesia			IDN	NOAO"
MYS.NOAO	"Malaysia			MYS	NOAO"
PHL.NOAO	"Philippines			PHL	NOAO"
SGP.NOAO	"Singapore			SGP	NOAO"
THA.NOAO	"Thailand			THA	NOAO"
VNM.NOAO	"Viet Nam			VNM	NOAO"
XSE.NOAO	"Rest of Southeast Asia"
*			Brunei			BRN	NOAO
*			Cambodia		KHM	NOAO
*			Lao Peoples Dem Rep	LAO	NOAO
*			Myanmar			MMR	NOAO
*			Timor Leste		TLS	
BGD.NOAO	"Bangladesh			BGD	NOAO"
IND.IND		"India				IND	IND"
LKA.NOAO	"Sri Lanka			LKA	NOAO"
XSA.NOAO	"Rest of South Asia"
*			Afghanistan		AFG	NOAO"
*			Bhutan			BTN	NOAO
*			Maldives		MDV	NOAO
*			Nepal			NPL	NOAO
*			Pakistan		PAK	NOAO
CAN.CAN		"Canada				CAN	CAN"
USA.USA		"United States of America	USA	USA"
MEX.MEX		"Mexico				MEX	MEX"
XNA.CSAO	"Rest of North America"
*			Bermuda				BMU	
*			Greenland			GRL	
*			Saint Pierre and Miquelon	SPM	
COL.CSAO	"Colombia			COL	CSAO"
PER.CSAO	"Peru				PER	CSAO"
VEN.OSAM	"Venezuela			VEN	CSAO"
XAP.CSAO	"Rest of Andean Pact"	
*			Bolivia			BOL	CSAO"
*			Ecuador			ECU	CSAO
ARG.CSAO	"Argentina			ARG	CSAO"
BRA.BRA		"Brazil				BRA	BRA"
CHL.CSAO	"Chile				CHL	CSAO"
URY.CSAO	"Uruguay			URY	CSAO"
XSM.CSAO	"Rest of South America"
*			Falkland Islands 	FLK	CSAO"
*			French Guiana		GUF	CSAO
*			Guyana			GUY	CSAO
*			Paraguay		PRY	CSAO
*			Suriname		SUR	CSAO
XCA.CSAO	"Central America"	
*			Belize			BLZ	CSAO
*			Costa Rica		CRI	CSAO
*			El Salvador		SLV	CSAO
*			Guatemala		GTM	CSAO
*			Honduras		HND	CSAO
*			Nicaragua		NIC	CSAO
*			Panama			PAN	CSAO
XFA.CSAO	"Rest of Free Trade Area of the Americas"
*			Antigua & Barbuda	ATG	CSAO"
*			Bahamas			BHS	CSAO
*			Barbados		BRB	CSAO
*			Dominica		DMA	CSAO
*			Dominican Republic	DOM	CSAO
*			Grenada			GRD	CSAO
*			Haiti			HTI	CSAO
*			Jamaica			JAM	CSAO
*			Puerto Rico		PRI	CSAO
*			Saint Kitts and Nevis	KNA	CSAO
*			Saint Lucia		LCA	CSAO
*			St Vincent & Grenadines	VCT	CSAO
*			Trinidad and Tobago	TTO	CSAO
*			Virgin Islands, U.S.	VIR	CSAO
XCB.CSAO	"Rest of the Caribbean"	
*			Anguilla		AIA
*			Aruba			ABW	CSAO
*			Cayman Islands		CYM	CSAO
*			Cuba			CUB	CSAO
*			Guadeloupe		GLP	CSAO
*			Martinique		MTQ	CSAO
*			Montserrat		MSR	CSAO
*			Netherlands Antilles	ANT	CSAO
*			Turks and Caicos	TCA	CSAO
*			Virgin Islands, British VGB	CSAO
AUT.OEUR	"Austria			AUT	OEUR"
BEL.OEUR	"Belgium			BEL	OEUR"
DNK.OEUR	"Denmark			DNK	OEUR"
FIN.OEUR	"Finland			FIN	OEUR"
FRA.OEUR	"France				FRA	OEUR"
DEU.OEUR	"Germany			DEU	OEUR"
GBR.OEUR	"United Kingdom			GBR	OEUR"
GRC.OEUR	"Greece				GRC	OEUR"
IRL.OEUR	"Ireland			IRL	OEUR"
ITA.OEUR	"Italy				ITA	OEUR"
LUX.OEUR	"Luxembourg			LUX	OEUR"
NLD.OEUR	"Netherlands			NLD	OEUR"
PRT.OEUR	"Portugal			PRT	OEUR"
ESP.OEUR	"Spain				ESP	OEUR"
SWE.OEUR	"Sweden				SWE	OEUR"
CHE.OEUR	"Switzerland			CHE	OEUR"
XEF.OEUR	"Rest of EFTA"	
*			Iceland			ISL	OEUR"
*			Liechtenstein		LIE	
*			Norway			NOR	OEUR
XER.NOOT	"Rest of Europe	Andorra	AND"
*			Bosnia and Herzegovina	BIH	NOOT
*			Faroe Islands		FRO	
*			Gibraltar		GIB	
*			Macedonia		MKD	NOOT
*			Monaco			MCO	
*			San Marino		SMR	
*			Serbia and Montenegro	SCG	NOOT
ALB.NOOT	"Albania			ALB	NOOT"
BGR.NOOT	"Bulgaria			BGR	NOOT"
HRV.NOOT	"Croatia			HRV	NOOT"
CYP.NOME	"Cyprus				CYP	MEST"
CZE.OEUR	"Czech Republic			CZE	OEUR"
HUN.OEUR	"Hungary			HUN	OEUR"
MLT.NOOT	"Malta				MLT	NOOT"
POL.OEUR	"Poland				POL	OEUR"
ROM.NOOT	"Romania			ROM	NOOT"
SVK.OEUR	"Slovakia			SVK	OEUR"
SVN.NOOT	"Slovenia			SVN	NOOT"
EST.NOOT	"Estonia			EST	NOOT"
LVA.NOOT	"Latvia				LVA	NOOT"
LTU.NOOT	"Lithuania			LTU	NOOT"
RUS.RUS		"Russian Federation		RUS	RUS"
XSU.NOOT	"Rest of Former Soviet Union"
*			Armenia			ARM	NOOT"
*			Azerbaijan		AZE	NOOT
*			Belarus			BLR	NOOT
*			Georgia			GEO	
*			Kazakhstan		KAZ	NOOT
*			Kyrgyzstan		KGZ	NOOT
*			Moldova, Republic of	MDA	NOOT
*			Tajikistan		TJK	NOOT
*			Turkmenistan		TKM	NOOT
*			Ukraine			UKR	NOOT
*			Uzbekistan		UZB	NOOT
TUR.OEUR	"Turkey				TUR	OEUR"
XME.OPME	"Rest of Middle East"		
*			Bahrain			BHR	MEST
*			Iran			IRN	MEST
*			Iraq			IRQ	MEST
*			Israel			ISR	MEST
*			Jordan			JOR	MEST
*			Kuwait			KWT	MEST
*			Lebanon			LBN	MEST
*			Palestinian Terr Occ	PSE	
*			Oman			OMN	MEST
*			Qatar			QAT	MEST
*			Saudi Arabia		SAU	MEST
*			Syrian Arab Republic	SYR	MEST
*			United Arab Emirates	ARE	MEST
*			Yemen			YEM	MEST
MAR.AFR		"Morocco			MAR	AFR"
TUN.AFR		"Tunisia			TUN	AFR"
XNF.OPNA		"Rest of North Africa"
*			Algeria			DZA	AFR
*			Egypt			EGY	AFR
*			Libyan Arab Jamahiriya	LBY	AFR
BWA.AFR		"Botswana			BWA	AFR"
ZAF.AFR		"South Africa	South Africa	ZAF	AFR"
XSC.AFR		"Rest of South African Customs Union"
*			Lesotho			LSO	AFR
*			Namibia			NAM	AFR
*			Swaziland		SWZ	AFR
MWI.AFR		"Malawi	Malawi			MWI	AFR"
MOZ.AFR		"Mozambique			MOZ	AFR"
TZA.AFR		"Tanzania			TZA	AFR"
ZMB.AFR		"Zambia				ZMB	AFR"
ZWE.AFR		"Zimbabwe			ZWE	AFR"
XSD.AFR		"Rest of Southern African Development Community"
*			Angola			AGO	AFR
*			Congo, the Dem Rep	COD	AFR
*			Mauritius		MUS	
*			Seychelles		SYC	AFR
MDG.AFR		"Madagascar"
UGA.AFR		"Uganda"
XSS.AFR		"Rest of Sub-Saharan Africa"
*			Benin			BEN	AFR"
*			Burkina Faso		BFA	AFR
*			Burundi			BDI	AFR
*			Cameroon		CMR	AFR
*			Cape Verde		CPV	AFR
*			Central African Rep	AF	AFR
*			Chad			TCD	AFR
*			Comoros			COM	AFR
*			Congo			COG	AFR
*			Cote d'Ivoire		CIV	
*			Djibouti		DJI	AFR
*			Equatorial Guinea	GNQ	AFR
*			Eritrea			ERI	AFR
*			Ethiopia		ETH	AFR
*			Gabon			GAB	AFR
*			Gambia			GMB	AFR
*			Ghana			GHA	AFR
*			Guinea			GIN	AFR
*			Guinea-Bissau		GNB	AFR
*			Kenya			KEN	AFR
*			Liberia			LBR	AFR
*			Mali			MLI	AFR
*			Mauritania		MRT	AFR
*			Mayotte			MYT	
*			Niger			NER	AFR
*			Nigeria			NGA	AFR
*			Reunion			REU	AFR
*			Rwanda			RWA	AFR
*			Saint Helena		SHN	
*			Sao Tome and Principe	STP	AFR
*			Senegal			SEN	AFR
*			Sierra Leone		SLE	AFR
*			Somalia			SOM	AFR
*			Sudan			SDN	AFR
*			Togo			TGO	AFR
/;

set r_eieo_	Revised region identifiers /
		OECDNAM		"OECD North America USA+CAN+MEX"
		USA		"United States"
		CAN		"Canada"
		MEX		"Mexico"
		OECDEUR		"OECD Europe"
		OECDASIA	"OECD Asia JPN+KOR+AUSNZ"
		JPN		"Japan"
		KOR		"South Korea"
		ANZ		"Australia/New Zealand"
		OECD		"Total OECD"
		NOECDEUR	"Non-OECD Europe and Eurasia RUS+Other"
		RUS		"Russia"
		OTHNOECDEUR	"Other"
		NOECDASIA	"Non-OECD Asia CHN+IND+other Non-OECD Asia"
		CHN		"China"
		IND		"India"
		OTHNOECDASIA	"Other Non-OECD Asia"
		MIDEAST		"Middle East"
		AFRICA		"Africa"
		CSA		"Central and South America BRA+Other central and south america"
		BRA		"Brazil"
		OCSA		"Other Central and South America"
		NOECD		"Total Non-OECD"
		WORLD		"Total World" /

	r_oieo_	IEO region with crude oil production /
		opec		"OPEC"
		idn		"Asia"
		opecmideast	"Middle East"
		opecnafr	"North Africa"
		opecwafr	"West Africa"
		opecsam		"South America"
		nopec		"Non-OPEC"
		oecd		"OECD"
		oecdnam		"OECD North America"
		usa		"United States"
		can		"Canada"
		mex		"Mexico"
		oecdeur		"OECD Europe"
		oecdasia	"OECD Asia"
		jpn		"Japan"
		kor		"South Korea"
		anz		"Australia and New Zealand"
		noecd		"Non-OECD"
		noecdeur	"Non-OECD Europe and Eurasia"
		rus		"Russia"
		caspian		"Caspian Area"
		othnoecdeur	"Other"
		noecdasia	"Non-OECD Asia"
		chn		"China"
		ind		"India"
		othnoecdasia	"Other"
		mideast		"Middle East"
		africa		"Africa"
		csa		"Central and South America"
		bra		"Brazil"
		othcsa		"Other"  /;


set	r_eieo_map(r_eieo,r_eieo_)	IEO 2006 regions /
		ONAM.OECDNAM	"OECD North America USA+CAN+MEX"			
		USA.USA	"United States"			
		CAN.CAN	"Canada"				
		MEX.MEX	"Mexico"				
		OEUR.OECDEUR	"OECD Europe"				
		OASA.OECDASIA	"OECD Asia JPN+KOR+AUSNZ"				
		JPN.JPN	"Japan"					
		KOR.KOR	"South Korea"				
		AUSN.ANZ	"Australia/New Zealand"			
		OTTL.OECD	"Total OECD"				
		NOEA.NOECDEUR	"Non-OECD Europe and Eurasia RUS+Other"		
		RUS.RUS	"Russia"				
		NOOT.OTHNOECDEUR	"Other"					
		NOAS.NOECDASIA	"Non-OECD Asia CHN+IND+other Non-OECD Asia"				
		CHN.CHN	"China"					
		IND.IND	"India"					
		NOAO.OTHNOECDASIA	"Other Non-OECD Asia"			
		MEST.MIDEAST	"Middle East"				
		AFR.AFRICA	"Africa"				
		CSAM.CSA	"Central and South America BRA+Other central and south america"		
		BRA.BRA	"Brazil"				
		CSAO.OCSA	"Other Central and South America"	
		NOTL.NOECD	"Total Non-OECD"			
		WTTL.WORLD	"Total World"				
/,

	r_oieo_map(r_oieo,r_oieo_)	IEO region with crude oil production /

*	The following are not distinguished in this translation.  The appear as 
*	part of the OPEC regional totals.

*..		irn.irn		!    Iran
*..		irq.irq			!    Iraq
*..		kwt.kwt		!    Kuwait
*..		qat.qat		!    Qatar
*..		sau.sau		!    Saudi Arabia
*..		are.are		!    United Arab Emirates
*..		dza.dza		!    Algeria
*..		lby.lby		!    Libya
*..		ago.ago		!    Angola
*..		nga.nga		!    Nigeria

		OPEC.opec	"OPEC"
		OPAS.idn	"Asia"
		OPME.opecmideast "Middle East"
		OPNA.opecnafr	"North Africa"
		OPWA.opecwafr	"West Africa"
		OSAM.opecsam	"South America"
		NOPEC.nopec	"Non-OPEC"
		OECD.oecd    "OECD"
		ONAM.oecdnam    "OECD North America"
		USA.usa     "United States"
		CAN.can     "Canada"
		MEX.mex     "Mexico"
		OEUR.oecdeur    "OECD Europe"
		OASA.oecdasia    "OECD Asia"
		JPN.jpn     "Japan"
		KOR.kor     "South Korea"
		AUSN.anz    "Australia and New Zealand"
		NOEC.noecd    "Non-OECD"
		NOEA.noecdeur    "Non-OECD Europe and Eurasia"
		RUS.rus     "Russia"
		CAS.caspian     "Caspian Area"
		NOOT.othnoecdeur    "Other"
		NOAS.noecdasia    "Non-OECD Asia"
		CHN.chn     "China"
		IND.ind     "India"
		NOAO.othnoecdasia    "Other"
		NOME.mideast    "Middle East"
		AFR.africa     "Africa"
		CSAM.csa    "Central and South America"
		BRA.bra     "Brazil"
		CSAO.othcsa    "Other" 
/;

set	rmap_e_(r_gtap6,r_eieo_)	Mapping between GTAP6 and IEO06 regions for energy and carbon ,
	rmap_o_(r_gtap6,r_oieo_)	Mapping between GTAP6 and IEO crude oil producing regions;

loop(r_eieo_map(r_eieo,r_eieo_),
	rmap_e_(r_gtap6,r_eieo_) = rmap_e(r_gtap6,r_eieo);
);
loop(r_oieo_map(r_oieo,r_oieo_),
	rmap_o_(r_gtap6,r_oieo_) = rmap_o(r_gtap6,r_oieo); 
);
option rmap_e_:0:0:1,rmap_o_:0:0:1;
display rmap_e_,rmap_o_;